ApplicationContextExtension (Grails 6.0.0)

Package: org.grails.spring.context

## [Groovy] Class ApplicationContextExtension

- org.grails.spring.context.ApplicationContextExtension

-     @groovy.transform.CompileStatic
      class ApplicationContextExtension
      extends java.lang.Object

  A Groovy extension module that adds additional methods to the Spring org.springframework.context.ApplicationContext interface

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationContextExtension ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.Object` | `getAt(org.springframework.context.ApplicationContext applicationContext, java.lang.String name)` Adds the ability to use the subscript operator to obtain beans
    `` | `static java.lang.Object` | `propertyMissing(org.springframework.context.ApplicationContext applicationContext, java.lang.String name)` Adds the ability to get beans via the dot operator

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ApplicationContextExtension()

  - ### Method Detail

    - #### static java.lang.Object getAt(org.springframework.context.ApplicationContext applicationContext, java.lang.String name)

      Adds the ability to use the subscript operator to obtain beans

      Parameters:
        `applicationContext` - The ApplicationContext instance
        `name` - The bean name
      Returns:
        A bean or null

    - #### static java.lang.Object propertyMissing(org.springframework.context.ApplicationContext applicationContext, java.lang.String name)

      Adds the ability to get beans via the dot operator @return

      Parameters:
        `applicationContext` - The ApplicationContext instance
        `name` - The bean name